package cn.axzo.msg.center.service.domain;

import cn.axzo.msg.center.service.domain.url.AppUrl;
import cn.axzo.msg.center.service.domain.url.WebUrl;

/**
 * @author yanglin
 */
public interface UrlConfigVisitor {

    default void visitUrlConfig(UrlConfig urlConfig) {}

    default void visitPcOms(WebUrl pcOms) {}

    default void visitPcCms(WebUrl pcCms) {}

    default void visitPcGaGeneral(WebUrl pcGaGeneral) {}

    default void visitAppWorker(MobileUrlConfig appWorker) {}

    default void visitAppWorkerIos(AppUrl ios) {}

    default void visitAppWorkerAndroid(AppUrl android) {}

    default void visitAppManager(MobileUrlConfig appManager) {}

    default void visitAppManagerIos(AppUrl ios) {}

    default void visitAppManagerAndroid(AppUrl android) {}

}